Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227702 - invalid context in file_contexts.homedirs
Summary: invalid context in file_contexts.homedirs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 17:26 UTC by David Nielsen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: selinux-policy-targeted-2.5.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-21 13:17:20 UTC


Attachments (Terms of Use)

Description David Nielsen 2007-02-07 17:26:58 UTC
Description of problem:
fixfiles relabel fails with:

/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 18 has
invalid context user_u:object_r:user_home_ssh_t:s0
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 36 has
invalid context root:object_r:user_home_ssh_t:s0


Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.5.2-5.fc7

How reproducible:
100%

Steps to Reproduce:
1. /sbin/fixfiles relabel

Comment 1 Daniel Walsh 2007-02-14 18:06:54 UTC
Fixed in selinux-policy-targeted-2.5.3-2.fc7

Comment 2 David Nielsen 2007-03-20 18:16:45 UTC
This one reappeared in selinux-policy-targeted-2.5.8-8.fc7

/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 18 has
invalid context user_u:object_r:user_home_ssh_t:s0
/etc/selinux/targeted/contexts/files/file_contexts.homedirs:  line 37 has
invalid context root:object_r:user_home_ssh_t:s0


Comment 3 Daniel Walsh 2007-04-10 19:03:08 UTC
Fixed in   selinux-policy-2.5.11-8.fc7

Comment 4 David Nielsen 2007-04-21 13:17:20 UTC
Confirmed fixed


Note You need to log in before you can comment on or make changes to this bug.